## amule-adunanza 2012.1+2.3.1~dfsg1

=== debian/changelog ===
amule-adunanza (2012.1+2.3.1~dfsg1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Added debian watch file and debian/repack.* utilities.
  * Updated debian rules:
    + use uscan to get origin source.
  * Removed old patches. Applied to upstream.
    + ftbfs_gcc45.diff
    + ftbs-gcc-4.7.diff
    + ftbs_libupnp_1.6.17.diff
  * Refreshed and updated other patches.
  * Added debian/source/format.
  * Bumped Standards-Version.
  * Fixed copyright symlink license.
  * Pop docs/ED2K-Links.HOWTO from amule-adunanza.docs. 
    File is no longer in upstream.

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 02 Dec 2013 23:28:02 +0100

amule-adunanza (2010.1+2.2.6-0ubuntu7) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:37:16 +0100

amule-adunanza (2010.1+2.2.6-0ubuntu6) quantal; urgency=low

  * ftbs_libupnp_1.6.17.diff: port us to the new string interface in
    libupnp-1.6.17.
  * ftbs-gcc-4.7.diff: fix a couple of missing implicit function references
    to explicitly reference this.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 07 Jun 2012 16:40:26 +0100

amule-adunanza (2010.1+2.2.6-0ubuntu5) oneiric; urgency=low

  * Remove unused libreadline5-dev build-dependency.

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 26 Jul 2011 16:23:38 +0200

amule-adunanza (2010.1+2.2.6-0ubuntu4) oneiric; urgency=low

  * No change rebuild for libcrypto++9 transition

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 11 Jul 2011 12:25:25 +0200

amule-adunanza (2010.1+2.2.6-0ubuntu3) natty; urgency=low

  * debian/control: added b-d on autopoint to have intl support and fix FTBFS
    because of missing locale directory (LP: #749150)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 22 Apr 2011 17:52:09 +0200

amule-adunanza (2010.1+2.2.6-0ubuntu2) natty; urgency=low

  * Fix FTBFS with gcc-4.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 14:22:50 +0200

amule-adunanza (2010.1+2.2.6-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #524697)
    - Drop manpages_spelling_fixes.diff fixed by upstream
    - Drop cryptopp-reference.diff fixed by upstream
    - Bump Standards-Version no changes required
    - Update install files (amule -> amuleadunanza)
    - debian/rules: amule.xpm -> amuleadunanza.xpm
    - Add README.Debian

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 18 Feb 2010 21:16:23 +0100

amule-adunanza (3.14b3+2.2.2-0ubuntu5) karmic; urgency=low

  * Set Maintainer to Ubuntu MOTU Developers, real maintainer will be
    Alessandro Scarozza from now on.
  * Provide new amuleweb binary package (LP: #353667).
  * Remove deprecated dh_desktop call.
  * Bump Standards-Version to 3.8.2, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 20 Jun 2009 15:12:23 +0200

amule-adunanza (3.14b3+2.2.2-0ubuntu4) karmic; urgency=low

  * Rebuild for libcrypto++7 -> libcrypto++8 transition.
  * Add a patch to grep for Reference, since 'Reference Manual' no longer
    appears in libcrypto++'s main header file any more.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 13 Jun 2009 22:23:17 +1000

amule-adunanza (3.14b3+2.2.2-0ubuntu3) jaunty; urgency=low

  * Build-depend on libupnp-dev, drop libupnp3 dependencies.
  * Move recommended packages to Suggests.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 31 Dec 2008 16:09:21 +0100

amule-adunanza (3.14b3+2.2.2-0ubuntu2) jaunty; urgency=low

  * debian/amule-adunanza-daemon.default
    debian/amule-adunanza-daemon.init
    debian/amuled_home_wrapper.sh:
    - Replace amule-daemon with amule-adunanza-daemon.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 24 Nov 2008 23:21:14 +0100

amule-adunanza (3.14b3+2.2.2-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #298365).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 16 Nov 2008 13:34:21 +0100
