=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

export REPACK_SH=$(CURDIR)/debian/repack.sh

confflags = --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info	\
	    --disable-dependency-tracking --disable-ccache --disable-debug			\
	    --enable-amule-daemon --enable-amulecmd --enable-ed2k --enable-amule-gui		\
	    --enable-cas --enable-wxcas --enable-alc --enable-alcc --disable-embedded-crypto	\
	    --enable-geoip --enable-upnp --with-denoise-level=0 --enable-webserver

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

$(objdir)/config.status: configure $(QUILT_STAMPFN)
	dh_testdir
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	ln -sf debian/amule-32.xpm amuleadunanza.xpm
	-mkdir $(objdir)
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ../configure $(confflags)
	touch $@

build: build-stamp
build-stamp: $(objdir)/config.status
	dh_testdir
	cd $(objdir) && \
	$(MAKE) BFD_LIB= BFD_FLAGS=
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	rm -f config.guess config.sub
	rm -rf $(objdir)
	rm -f po/*.gmo
	rm -f amule.xpm
	dh_clean

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	chmod +x debian/amuled_home_wrapper.sh
	dh_install --sourcedir=debian/tmp
	touch $@

binary: binary-arch binary-indep

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary-indep: build install

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.AdunanzA
	dh_installdocs
	dh_installmenu
	dh_installinit
	dh_installman
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	uscan --force-download


.PHONY: build clean install binary binary-arch binary-indep binary-common get-orig-source
