=== debian/watch ===
version=3
opts=uversionmangle=s/-/+/g,dversionmangle=s/~dfsg\d// \
  http://sf.net/amule-adunanza/aMule-AdunanzA-(\d*?.\d+?-\d\S*).tar.bz2 \
  debian sh debian/repack.stub
